Index: tools/push-to-trunk.sh |
diff --git a/tools/push-to-trunk.sh b/tools/push-to-trunk.sh |
index c1f8e78594d79787c8a5369d7811d976a1e6cd77..42d4e4bf621699d770d64b7650c3ba27217c6d3a 100755 |
--- a/tools/push-to-trunk.sh |
+++ b/tools/push-to-trunk.sh |
@@ -332,6 +332,9 @@ if [ -n "$CHROME_PATH" ] ; then |
# Check for a clean workdir. |
[[ -z "$(git status -s -uno)" ]] \ |
|| die "Workspace is not clean. Please commit or undo your changes." |
+ # Assert that the DEPS file is there. |
+ [[ -w "DEPS" ]] || die "DEPS file not present or not writable; \ |
+current directory is: $(pwd)." |
fi |
let CURRENT_STEP+=1 |
@@ -348,7 +351,7 @@ if [ -n "$CHROME_PATH" ] ; then |
if [ $START_STEP -le $CURRENT_STEP ] ; then |
echo ">>> Step $CURRENT_STEP: Create and upload CL." |
# Patch DEPS file. |
- sed -e "/\"v8_revision\": /s/\"[0-9]+\"/\"$TRUNK_REVISION\"/" \ |
+ sed -r -e "/\"v8_revision\": /s/\"[0-9]+\"/\"$TRUNK_REVISION\"/" \ |
-i DEPS |
restore_version_if_unset |
echo -n "Please enter the email address of a reviewer for the roll CL: " |